Show / Hide Table of Contents

# Class ChatGuiAddressResolver

The address resolver for the ChatGui class.

##### Inheritance

System.Object
BaseAddressResolver
ChatGuiAddressResolver

##### Inherited Members

BaseAddressResolver.DebugScannedValues
BaseAddressResolver.IsResolved
BaseAddressResolver.Setup()
BaseAddressResolver.Setup(SigScanner)
BaseAddressResolver.GetVirtualFunction<T>(IntPtr, Int32, Int32)
BaseAddressResolver.Setup32Bit(SigScanner)
BaseAddressResolver.SetupInternal(SigScanner)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace: Dalamud.Game.Gui

###### Assembly: Dalamud.dll

##### Syntax

    public sealed class ChatGuiAddressResolver : BaseAddressResolver

### Constructors

| Improve this Doc View Source

#### ChatGuiAddressResolver(IntPtr)

Initializes a new instance of the ChatGuiAddressResolver class.

##### Declaration

    public ChatGuiAddressResolver(IntPtr baseAddress)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | baseAddress | The base address of the native ChatManager class.

### Properties

| Improve this Doc View Source

#### BaseAddress

Gets the base address of the native ChatManager class.

##### Declaration

    public IntPtr BaseAddress { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### InteractableLinkClicked

Gets the address of the native InteractableLinkClicked method.

##### Declaration

    public IntPtr InteractableLinkClicked { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### PopulateItemLinkObject

Gets the address of the native PopulateItemLinkObject method.

##### Declaration

    public IntPtr PopulateItemLinkObject { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### PrintMessage

Gets the address of the native PrintMessage method.

##### Declaration

    public IntPtr PrintMessage { get; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

### Methods

| Improve this Doc View Source

#### Setup64Bit(SigScanner)

Setup the resolver by finding any necessary memory addresses.

##### Declaration

    protected override void Setup64Bit(SigScanner sig)

##### Parameters

Type | Name | Description
--- | --- | ---
SigScanner | sig |

##### Overrides

BaseAddressResolver.Setup64Bit(SigScanner)